﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace AreaSeriesBelowStepline_
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            Random r = new Random();
            List<Data> data = new List<Data>();
            for (int i = 0; i < 10; i++)
            {
                data.Add(new Data
                {
                    Name = "Item " + i,
                    Flow = r.Next(10, 20),
                    Pressure = r.Next(10, 20),
                    S = r.Next(10, 20),
                    FL = r.Next(10, 20),
                    PA = r.Next(10, 20),
                    OA = r.Next(10, 20),
                    HY = r.Next(10, 20),
                    CA = r.Next(10, 20),
                    CH = r.Next(10, 20),
                    EP = r.Next(10, 20),
                    AR = r.Next(10, 20),
                    PB = r.Next(10, 20),
                    HL = r.Next(10, 20), 
                });
            }
            DataContext = data;
        }


    }

    public class Data
    {
        public string Name { get; set; }
        public double Flow { get; set; }
        public double Pressure { get; set; }
        public double FL { get; set; }
        public double S { get; set; }
        public double PA { get; set; }
        public double OA { get; set; }
        public double HY { get; set; }
        public double CA { get; set; }
        public double CH { get; set; }
        public double EP { get; set; }
        public double PB { get; set; }
        public double HL { get; set; }
        public double AR { get; set; }
    }
}
